#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <time.h>
#include "rabbits.h"

int main(int argc,char **argv) {
    struct user_args args;
    struct grassy_field *field;
    struct drand48_data rand_buffer;

    args = get_user_args(argc,argv);

#ifdef DEBUG
    fprintf(stderr,"Initiaizling drand48 buffer\n");
#endif
    srand48_r((time(NULL)+getpid()), &rand_buffer);

    if((field = init_field(args,&rand_buffer)) == NULL) {
        fprintf(stderr,"Field initialization failed\n");
        abort();
    }

    if((breed_rabbits(args,field,&rand_buffer)) < 0) {
        fprintf(stderr,"Breeding rabbits failed\n");
        exit(EXIT_FAILURE);
    }

    exit(EXIT_SUCCESS);
}
